Subject: Finding information

From: Willie Gillespie <[email-masked]>
Date: Fri, 18 Jan 2008 16:55:35 -0700

As someone new to the IETF, how should I go about doing the following?

I want to find some information about IMAP and its extensions.  Let's
say I found RFC 1730.  How would I know that it had been obsoleted by
RFC 2060 and then by RFC 3501?  How do I find the extensions?  I don't
necessarily want to search through a list of 5000 entries to find what I
want.

That's where I think a naming scheme like IETF-IMAP would be handy.
Then I could look at a list of IETF-IMAP and see IETF-IMAP-2003 would be
newer than IETF-IMAP-1996.

But that's beside the point.  As of right now, how do I find this
information?  Is there a handy tool on tools.ietf.org that I should use?

Thanks for your help.

Willie

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Ken Raeburn <[email-masked]>
Date: Fri, 18 Jan 2008 19:05:55 -0500

> necessarily want to search through a list of 5000 entries to find  

The RFC repository also has rfc-index.txt, which lists all the RFCs,  
and for each, other RFCs that update or replace them, or are updated  
or replaced by them.  That'd be a good place to start.

Ken

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 19 Jan 2008 15:42:51 +1300

On 2008-01-19 13:05, Ken Raeburn wrote:
> The RFC repository also has rfc-index.txt, which lists all the RFCs, and
> for each, other RFCs that update or replace them, or are updated or
> replaced by them.  That'd be a good place to start.

http://www.rfc-editor.org/rfcxx00.html presents the
information that is implicit in rfc-index in a more
digestible form.

   Brian

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 20 Jan 2008 10:24:28 +0100

Besides the suggestion already given, if you go to
http://www.rfc-editor.org/rfcsearch.html start with a search on IMAP.
RFC1730 will be one of the first (in chronological order) of the 47
entries, you will find out in the More Info columns that it was
obsoleted by RFC2060 and RFC2061. RFC2060 will then be listed as
obsoleted by RFC3501, which was updated by a number of RFCs (probably
the extensions you look for) and also has an Errata you may want to look
at. 

I hope this helps,

Dan

> -----Original Message-----
> From: Willie Gillespie [mailto:[email-masked]] 
> Sent: Saturday, January 19, 2008 1:56 AM
> To: IETF Discussion
> Subject: Finding information
> 
> I want to find some information about IMAP and its 
> extensions.  Let's say I found RFC 1730.  How would I know 
> that it had been obsoleted by RFC 2060 and then by RFC 3501?  
> How do I find the extensions?  I don't necessarily want to 
> search through a list of 5000 entries to find what I want.
> 
> Then I could look at a list of IETF-IMAP and see 
> IETF-IMAP-2003 would be newer than IETF-IMAP-1996.
> 
> But that's beside the point.  As of right now, how do I find 
> this information?  Is there a handy tool on tools.ietf.org 
> that I should use?
> 
> Thanks for your help.
> 
> Willie
>

---

From: Tony Li <[email-masked]>
Date: Sun, 20 Jan 2008 03:01:24 -0800

> the extensions you look for) and also has an Errata you may want to  

Or, you can google IMAP and come up with 3501 straight away...

Tony

---

From: Elwyn Davies <[email-masked]>
Date: Sun, 20 Jan 2008 23:45:10 +0000

The information is available on the RFC Editor's web site at 
http://www.rfc-editor.org/
The RFC Database in various forms such as  
http://www.rfc-editor.org/rfc-index2.html tells you the status of each 
RFC and the RFCs that are associated with it by 
obsoletes/obsoleted/updated relationships etc.

Regards,
Elwyn

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 21 Jan 2008 11:20:29 +0100

On Sat, Jan 19, 2008 at 03:42:51PM +1300,
 Brian E Carpenter <[email-masked]> wrote 
 a message of 24 lines which said:

> >> RFC 2060 and then by RFC 3501?  
[...]
> information that is implicit in rfc-index 

No, it presents *less* information (which may be a good thing) and,
for instance, it would not answer to the OP's original question since
it does not mention 1730 at all.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 21 Jan 2008 11:24:12 +0100

On Sun, Jan 20, 2008 at 03:01:24AM -0800,
 Tony Li <[email-masked]> wrote 

> Or, you can google IMAP and come up with 3501 straight away...

Bad idea. Not only it makes the RFC process depend on an external
organization, but it often fails for the reasons explained by the
OP. For instance, googling Sieve does not bring back RFC 5228...

---

From: Willie Gillespie <[email-masked]>
Date: Mon, 21 Jan 2008 08:42:53 -0700

Thanks to all who have responded to my question, either directly or to
the list.  They have been very helpful.

Willie

---

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 22 Jan 2008 04:46:55 +0100

> OP. For instance, googling Sieve does not bring back RFC 5228...

Submitting 'sieve' in the document search form on http://tools.ietf.org/html
returns 3028 as the first result, and a link to the htmlized 3028 which notes
that it has been obsoleted by 5228.  (I'm surprised that the search results
doesn't already include 5228, too, but I expect they will fairly soon).

	Henrik

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 22 Jan 2008 08:17:00 +0100

Henrik Levkowetz skrev:
>>  Tony Li <[email-masked]> wrote  a message of 23 lines which said:
>>
The sieve WG web page also doesn't list 5228 as a product, so I guess
some routine updates are on hold while the transition is taking place.

               Harald

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 22 Jan 2008 10:11:32 -0500

Hi Willie,
   I came up with a tool (rfcvision) couple of years ago for personal 
use that did something like this. You can check it out at

http://www.sureshk.com/rfcvision

It is not production quality but it should help you. Let me know if you 
have any comments/suggestions.

Cheers
Suresh

---

From: "Frank Ellermann" <[email-masked]>
Date: Tue, 22 Jan 2008 17:02:02 +0100

> http://www.sureshk.com/rfcvision

Nice.  RFC 2535 drives it to its limits... :-)
How about adding a link to the tools pages ?

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Tue, 22 Jan 2008 08:02:38 -0800

But the hidden variables that you hypothesize here are precisely the type of information I would go to the IETF Web site to get rather than use a more reasonable source like Wikipedia.
 
In particular finding out what the latest version of a specification is. Telling people to plug 1724 into the RFC search engine to find the POP3 specification is to put it mildly 1) an arrogant waste of the readers time and 2) gives the wrong result.

I have been thinking quite a bit about usability in the past few weeks, in particular trying to work out how to codify some of the rules that Nielsen gives in his book in a form that is verifiable. One approach that does seem to be useful is to think in terms of task scenarios, similar to use cases but more concrete.
 
Just defining task scenarios is a big start. For the IETF Web site I would propose that we need to consider the following tasks (amongst others):
 
1) Find out the status of an IETF proposal or specification
2) Find the latest documents describing an IETF specification
3) Find out how to submit a proposal to the IETF
4) Find out a point of contact for a proposal or specification
 
We then look at the Web site to determine whether it meets the following rules:
 
1) Sufficiency of information - is there enough information to complete the specified task?
2) Complexity - how many steps does a task require? how much information must the user remember to complete it?
 
The IETF Web site is built to the old fallacy that minimizing the information provided to the user is the same thing as reducing complexity. That is utter B.S. The user gets confused and considers the problem complex because they have too little information or irrelevantinformation.

If you build out the state table for what the user is required to do in order to fulfill these simple tasks it quickly becomes apparent that
 
1) The user is required to know vast amounts of folklore. That is information that is not provided to the user. 
2) The process is unnecessarily complex
3) Most of the useful information is not even present on the site anyway, the site you really want to go to is the tools site.

________________________________

From: Harald Alvestrand [mailto:[email-masked]]
Sent: Tue 22/01/2008 2:17 AM
To: Henrik Levkowetz
Cc: IETF Discussion; Willie Gillespie
Subject: Re: Finding information

               Harald